Bug 54696 - keyboard focus not grabbed
keyboard focus not grabbed
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-10-16 11:55 EDT by Frank Ch. Eigler
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-18 11:01:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2001-10-16 11:55:37 EDT
Description of Problem:
- password entry dialog boxes not sufficiently protected under X11.

Version-Release number of selected component (if applicable):

How Reproducible:
- Run "userpasswd" as ordinary user (or another program that
  uses userinfo to become setuid, e.g., "up2date").
- Observe that when password-entry dialog box pops up, X keyboard
  focus is not grabbed.  (It is possible to type into other windows.)
- Wonder how come Nalin's 2000-01-11 patch has become deactivated.
Comment 1 Nalin Dahyabhai 2002-01-18 16:58:00 EST
Actually, the whole "grabbing the keyboard" facility seems to have fallen out of
the Raw Hide version, which I migrated to GTK 1.3 a few weeks ago.  Need to look
at that.

Note You need to log in before you can comment on or make changes to this bug.